PHP Manual
Prev |  | Next

# HttpResponse::setContentType

(no version information, might be only in CVS)

HttpResponse::setContentType -- Set content type

## Description

staticbool HttpResponse::setContentType ( string content_type )

Set the content-type of the sent entity.

## Parameters

content_type

  the content type of the sent entity (primary/secondary)

## Return Values

Returns TRUE on success, or FALSE if the content type does not seem to contain a primary and secondary content type part.

## Errors/Exceptions

Throws HttpInvalidParamException.

Prev | Home | Next
HttpResponse::setContentDisposition | Up | HttpResponse::setData